Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.base
Class FieldListPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.UserDefinedPattern
              de.grogra.xl.query.AttributeListPattern
                  de.grogra.xl.impl.base.FieldListPattern

All Implemented Interfaces:
  XObject, BytecodeSerialization.Serializable

Direct Known Subclasses:
  Box.LPattern, Box.Pattern, C.Pattern, CAdd.Pattern, Cell.Pattern, Cl.Pattern, ClAdd.Pattern, ClMul.Pattern, CMul.Pattern, Cone.Pattern, Cylinder.Pattern, D.Pattern, DAdd.Pattern, Dl.Pattern, DlAdd.Pattern, DlMul.Pattern, DMul.Pattern, F.Pattern, FAdd.Pattern, FMul.Pattern, Frustum.Pattern, GD.Pattern, H.Pattern, HAdd.Pattern, HDir.Pattern, Hl.Pattern, HlAdd.Pattern, HlMul.Pattern, HMul.Pattern, InvokeMethod.Pattern, L.Pattern, LAdd.Pattern, Ll.Pattern, LlAdd.Pattern, LlMul.Pattern, LMul.Pattern, M.Pattern, MAdd.Pattern, Mark.Pattern, MMul.Pattern, MRel.Pattern, N.Pattern, NAdd.Pattern, Nl.Pattern, NlAdd.Pattern, NlMul.Pattern, NMul.Pattern, NumericLabel.Pattern, OR.Pattern, P.Pattern, Pl.Pattern, RD.Pattern, RH.Pattern, RL.Pattern, RN.Pattern, RO.Pattern, Rotate.Pattern, RP.Pattern, RU.Pattern, RV.Pattern, RVAdd.Pattern, RVMul.Pattern, Scale.Pattern, Scale.XPattern, Sphere.Pattern, Supershape.Pattern, TextLabel.Pattern, Translate.Pattern, U.Pattern, UAdd.Pattern, Ul.Pattern, UlAdd.Pattern, UlMul.Pattern, UMul.Pattern, V.Pattern, VAdd.Pattern, Vertex.Pattern, Vl.Pattern, VlAdd.Pattern, VlMul.Pattern, VMul.Pattern

    public class FieldListPattern

extends AttributeListPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.UserDefinedPattern
`UserDefinedPattern.In, UserDefinedPattern.Out`

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`FieldListPattern(Type nodeType, Field field)`
`FieldListPattern(Type cls, Type nodeType, Field field)`
`FieldListPattern(Type cls, Type nodeType, Field[] fields)`

Method Summary
`protected boolean` | `getBoolean(java.lang.Object o, int index)`
`protected byte` | `getByte(java.lang.Object o, int index)`
`protected char` | `getChar(java.lang.Object o, int index)`
`protected double` | `getDouble(java.lang.Object o, int index)`
`protected float` | `getFloat(java.lang.Object o, int index)`
`protected int` | `getInt(java.lang.Object o, int index)`
`protected long` | `getLong(java.lang.Object o, int index)`
`protected java.lang.Object` | `getObject(java.lang.Object o, int index)`
`protected short` | `getShort(java.lang.Object o, int index)`
`protected java.lang.String` | `paramString()`

Methods inherited from class de.grogra.xl.query.AttributeListPattern
`createMatcher, getParameterKind`

Methods inherited from class de.grogra.xl.query.UserDefinedPattern
`findSignatureMethod, getSignature, getXClass, getXData, initXClass, write`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, isDeleting, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldListPattern

    public FieldListPattern(Type nodeType,
                            Field field)

### FieldListPattern

    public FieldListPattern(Type cls,
                            Type nodeType,
                            Field field)

### FieldListPattern

    public FieldListPattern(Type cls,
                            Type nodeType,
                            Field[] fields)

Method Detail

### getBoolean

    protected boolean getBoolean(java.lang.Object o,
                                 int index)

  Overrides:
    `getBoolean` in class `AttributeListPattern`

### getByte

    protected byte getByte(java.lang.Object o,
                           int index)

  Overrides:
    `getByte` in class `AttributeListPattern`

### getChar

    protected char getChar(java.lang.Object o,
                           int index)

  Overrides:
    `getChar` in class `AttributeListPattern`

### getDouble

    protected double getDouble(java.lang.Object o,
                               int index)

  Overrides:
    `getDouble` in class `AttributeListPattern`

### getFloat

    protected float getFloat(java.lang.Object o,
                             int index)

  Overrides:
    `getFloat` in class `AttributeListPattern`

### getInt

    protected int getInt(java.lang.Object o,
                         int index)

  Overrides:
    `getInt` in class `AttributeListPattern`

### getLong

    protected long getLong(java.lang.Object o,
                           int index)

  Overrides:
    `getLong` in class `AttributeListPattern`

### getObject

    protected java.lang.Object getObject(java.lang.Object o,
                                         int index)

  Overrides:
    `getObject` in class `AttributeListPattern`

### getShort

    protected short getShort(java.lang.Object o,
                             int index)

  Overrides:
    `getShort` in class `AttributeListPattern`

### paramString

    protected java.lang.String paramString()

  Overrides:
    `paramString` in class `Pattern`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD